﻿// Centered single column version of the site layout
.site-style-single {
    body {
        height: unset;
        min-height: 100%;
    }
    
    header {
        position: sticky;
        top: 0;
        z-index: 1;

        .main-area {
            height: 55px;

            .header-link {
                .header-logo {
                    width: 42px;
                }
            
                .header-text {
                    font-size: 1.55em;
                }
            }
        }
    }

    .body-container {
        grid-template-columns: auto;
        overflow: unset;

        .content-wrapper {
            grid-template-rows: 1fr 40px;
            overflow: unset;

            .content {
                display: grid;
                justify-items: center;
                align-items: center;
            }
    
            footer {
                grid-template-columns: auto;
                padding: unset;
            
                small {
                    font-size: 0.775em;
                    letter-spacing: unset;
                    padding: unset;
                }
            
                .version {
                    display: none;
                }
            
                .copyright {
                    justify-self: center;
                }
            }
        }
    }
}
